﻿using System;
using System.Windows.Forms;

using Microsoft.WindowsAPICodePack.Dialogs;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.selectButton.Click += selectButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폴더 선택 버튼 클릭시 처리하기 - selectButton_Click(sender, e)

        /// <summary>
        /// 폴더 선택 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void selectButton_Click(object sender, EventArgs e)
        {
            CommonOpenFileDialog dialog = new CommonOpenFileDialog();

            dialog.InitialDirectory = this.folderTextBox.Text;
            dialog.IsFolderPicker   = true;

            if(dialog.ShowDialog() == CommonFileDialogResult.Ok)
            {
                this.folderTextBox.Text = dialog.FileName;
            }
        }

        #endregion
    }
}